<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 5.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Paleographical Tool TM 1</title>
<style>
<!--
h2           { color: #000080 }
h1           { color: #FF0000; font-family: Times New Roman (serif); text-align: center; 
               font-size: 18pt; font-weight: bold }
-->
</style>
</head>

<body>

<h1><a name="howto">Overlay plug-in <sup>TM</sup> 1.0</a></h1>
<h1>-How to</h1>
<h2><font size="3" color="#000000">In the following session, we will show how to 
overlay two images in natural order: first thing first, then we show how to 
configure the toolbar buttons.</font></h2>
<ul>
  <li><a href="#load_images">Load Images</a>
    <ul>
      <li><a href="#load_from_workspace">Load image from workspace</a></li>
      <li><a href="#Load_from_outside_workspace">Load image from outside of
        workspace</a></li>
    </ul>
  </li>
  <li><a href="#pin_points">Select pin-points</a></li>
  <li><a href="#overlay">OverLay</a></li>
  <li><a href="#save_overlay">Save overlay</a>
    <ul>
      <li><font face="Times New Roman"><a href="#save_overlay_xml">Save overlay
        into XML file</a></font></li>
      <li><font face="Times New Roman"><a href="#save_overlay_jpeg">Save overlay
        into a JPeg file</a></font></li>
    </ul>
  </li>
  <li><a href="#load_overlay">Reload overlay from XML file</a>
    <ul>
      <li><font face="Times New Roman"><a href="#reload_ovl_from_workspace">Reload
        from workspace</a></font></li>
      <li><font face="Times New Roman"><a href="#reload_ovl_from_outside_workspace">Reload
        from outside of workspace</a></font></li>
    </ul>
  </li>
  <li><a href="#load_overlay">Configure the toolbar buttons</a>
    <ul>
      <li><a href="#reload_ovl_from_workspace"><font face="Times New Roman">
      Change buttons</font></a></li>
      <li><a href="#reload_ovl_from_outside_workspace">
      <font face="Times New Roman">Change button order</font></a></li>
      <li><font face="Times New Roman">Using default</font></li>
    </ul>
  </li>
</ul>
<h2><font face="Times New Roman"><a name="load_images">Step 1 Load Images</a></font></h2>
<p><font face="Times New Roman">To overlay two image, you must first loading the 
images into overlay tool. </font>Currently, the overlay plug-in support all the 
following format images: gif, jpeg, tif, tiff, bmp, png, svg, svgz<font face="Times New Roman">. 
There are two methods can be used to load images.</font></p>
<blockquote>
  <h3><font face="Times New Roman">1) <a name="load_from_workspace"> Load image
  from workspace</a></font></h3>
  <p>To load images from the workspace, you can point your mouse to the 
  navigator view, drag and drop the file you need to the right canvas for
  overlay. Drag another image file to another image canvas. </p>
  <p><img border="0" src="../images/load_1.jpg" width="819" height="575"></p>
  <blockquote>
    <p>Figure 1 Load image from work space: drag and drop.</p>
  </blockquote>
  <h3>2) <a name="Load_from_outside_workspace"> Load Image from outside of workspace</a> </h3>
  <p>If the file you want to load is not in the workspace, you can either using
  the Eclipse &quot;import&quot; the file into your project (which is
  encouraged), or you can <img border="0" src="../images/Open16.gif" width="16" height="16">&quot;load
  image&quot; from the context menu of the canvas, then you will get a open file dialog, 
  you can load the file you chosen to the canvas where context menu appeared.</p>
  <p><img border="0" src="../images/load_2.jpg" width="819" height="575"></p>
  <blockquote>
    <p>Figure 2 Load image from outside of workspace: using context menu.</p>
  </blockquote>
</blockquote>
<p>&nbsp;</p>
<blockquote>
<p><img border="0" src="../images/open_image_dlg.jpg" width="563" height="419"></p>
<blockquote>
<p>Figure 3 File choosing dialog.</p>
</blockquote>
</blockquote>
<h2><font face="Times New Roman"><a name="pin_points">Step 2 Select pin-points</a></font></h2>
<p>After you load the two images you want to overlay, you may use zoom the image to a suitable size, then you must 
select two pairs pin-points (The mapping will depend on the pairs of pin-points,
so make sure you choose exactly. You can using zooming lense and Thumb View to choose better
mapping points), which the overlay plug-in will use them as a 
guidance to overlay the images. You will use the pin-points tool
<img border="0" src="../images/Mark16.gif" width="16" height="16"> to select 
pin-points, </p>
<blockquote>
  <p><img border="0" src="../images/pin-points1.jpg" width="819" height="575"></p>
  <blockquote>
  <p>Figure 4 Select pin-point to map layers.</p>
  </blockquote>
</blockquote>
<p>and you can also use the context menu to change the pin-points you select:</p>
<blockquote>
  <p><img border="0" src="../images/pin-points2.jpg" width="819" height="575"></p>
  <blockquote>
  <p>Figure 5 Modify the pin-points.</p>
  </blockquote>
</blockquote>
<h2><font face="Times New Roman"><a name="overlay">Step 3 Overlay</a></font></h2>
<p>After you selected two pair pin-points, then you need to choose the overlay 
button <img border="0" src="../images/Overlay16.gif" width="16" height="16">on 
the toolbar, then left click any frame, then you will switch to the overlay 
frame.</p>
<blockquote>
  <p><img border="0" src="../images/overlay1.jpg" width="819" height="575"></p>
  <blockquote>
  <p>Figure 6 The overlaid image.</p>
  </blockquote>
</blockquote>
<p>and you can switch between the different layers by changing the slider at the 
bottom of the frame.</p>

<p><img border="0" src="../images/tip.gif" width="62" height="13"> For big
image, when you move the slider bar, the blending process may be very slow. You
can speed up the blending process by select a rectangle area, so that only the
image inside that rectangle will blend with the background image, it is shown in
Figure 7:</p>

<blockquote>
  <p><img border="0" src="../images/select_rect_2_speedup.jpg" width="782" height="625"></p>

  <blockquote>
    <p>Figure 7 Speed up the process by selecting the blending area.&nbsp;</p>

  </blockquote>
</blockquote>

<h2><font face="Times New Roman"><a name="save_overlay">Step 4 Save overlay</a></font></h2>
<p>Once overlaid, you may want to save it into a file, so that you may use it
later. There are two choices here: </p>
<blockquote>
  <h3><font face="Times New Roman">1) <a name="save_overlay_xml">Save overlay
  into XML file</a></font></h3>
  <p>One which is also encouraged is save the overlay information into an XML
  file, so that later the overlay tool can load the overlay information and
  reconstruct the overlay based on the overlay information. To do that, press
  the <img border="0" src="../images/Save16.gif" width="16" height="16">save
  button, you will get the dialog as following:</p>
  <blockquote>
    <p><img border="0" src="../images/save_ovl_xml_dlg.jpg" width="300" height="400"></p>
    <p>Figure 8 Save overlay into XML file.</p>
  </blockquote>
  <p>After you choose the layer name (you can also choose &quot;other&quot; in
  the layer choices, and input the customized names for current overlay) and
  &quot;Ok&quot;, then, the current overlay will be saved onto the <b>.ovl</b>
  file you chosen, and also, the combo box for overlay now has a choice named
  &quot;day light&quot;, which is the currently active overlay:</p>
  <p><img border="0" src="../images/after_overlay1.jpg" width="819" height="575"></p>
  <blockquote>
    <p>Figure 9 New choices added to the combo-box after saving overlay.</p>
  </blockquote>
  <p>You can keep adding the new overlays by choosing &quot;append&quot; mode in
  Figure 7 and save it. You may have more than one overlay within one <b>.ovl</b>
  file.&nbsp; </p>
  <h3><font face="Times New Roman">2) <a name="save_overlay_jpeg">Save overlay
  into a JPeg file</a></font></h3>
  <p align="left">Another choice is to export the overlaid image as some
  commonly used format, such as Jpeg, so that you may use other image tools
  (such as Photoshop) to view and process it. To do that, press the <img border="0" src="../images/Save16.gif" width="16" height="16">save
  button, you will get the dialog as following:</p>
  <blockquote>
    <p><img border="0" src="../images/save_ovl_image_dlg.jpg" width="300" height="400"></p>
    <p>Figure 10 Save overlay as a Jpeg image.</p>
  </blockquote>
</blockquote>
<h2><font face="Times New Roman"><a name="load_overlay">Step 5 Reload overlay
from XML (.ovl) file</a></font></h2>
<p>You can reload and play the overlay after you have saved it into the xml
file:</p>
<blockquote>
  <h3><font face="Times New Roman">1) <a name="reload_ovl_from_workspace">Reload
  from workspace</a></font></h3>
  <p>If the <b>.ovl</b> file is inside the workspace, then the best way to open <b>.ovl</b>
  file is to drag and drop the <b>.ovl</b> file to the overlay canvas, then it
  will replay the overlay in the overlay tool.</p>
  <p><img border="0" src="../images/drag_drop_ovl.jpg" width="819" height="575"></p>
  <blockquote>
    <p>Figure 11 Drag and drop the .ovl XML file from workspalce into OverLay
    tool.</p>
  </blockquote>
  <h3><font face="Times New Roman">2) <a name="reload_ovl_from_outside_workspace">Reload
  from outside of workspace</a></font></h3>
  <p>Or you may use the <img border="0" src="../images/Open16.gif" width="16" height="16">
  open file button on the toolbar to open an <b>.ovl</b> file.</p>
  <p><img border="0" src="../images/open_ovl.jpg" width="563" height="419"></p>
  <blockquote>
    <p>Figure 12 Open .ovl XML file from outside of the workspace.</p>
  </blockquote>
</blockquote>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>

</body>

</html>